## ros-kinetic-swri-nodelet 2.14.2

=== debian/changelog ===
ros-kinetic-swri-nodelet (2.14.2-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 09 Sep 2020 00:00:00 -0000

ros-kinetic-swri-nodelet (2.14.1-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 18 Aug 2020 00:00:00 -0000

ros-kinetic-swri-nodelet (2.14.0-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 15 Jul 2020 00:00:00 -0000

ros-kinetic-swri-nodelet (2.13.7-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 26 Jun 2020 00:00:00 -0000

ros-kinetic-swri-nodelet (2.13.6-1xenial) xenial; urgency=high

  * Update catkin dependencies (#588 <https://github.com/swri-robotics/marti_common/issues/588>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 17 Jun 2020 00:00:00 -0000

ros-kinetic-swri-nodelet (2.13.5-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 17 Jun 2020 00:00:00 -0000

ros-kinetic-swri-nodelet (2.13.4-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 16 Jun 2020 00:00:00 -0000

ros-kinetic-swri-nodelet (2.13.3-1xenial) xenial; urgency=high

  * Bump minimum cmake version
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 12 Jun 2020 00:00:00 -0000

ros-kinetic-swri-nodelet (2.13.2-1xenial) xenial; urgency=high

  * Support ROS Noetic (#581 <https://github.com/swri-robotics/marti_common/issues/581>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 10 Jun 2020 00:00:00 -0000

ros-kinetic-swri-nodelet (2.13.1-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 21 May 2020 00:00:00 -0000

ros-kinetic-swri-nodelet (2.13.0-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 13 May 2020 00:00:00 -0000

ros-kinetic-swri-nodelet (2.12.0-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 25 Mar 2020 00:00:00 -0000

ros-kinetic-swri-nodelet (2.11.0-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-kinetic-swri-nodelet (2.10.0-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 04 Sep 2019 00:00:00 -0000

ros-kinetic-swri-nodelet (2.9.0-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 23 May 2019 00:00:00 -0000

ros-kinetic-swri-nodelet (2.8.0-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 06 Feb 2019 00:00:00 -0000

ros-kinetic-swri-nodelet (2.7.3-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 03 Jan 2019 00:00:00 -0000

ros-kinetic-swri-nodelet (2.7.2-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 20 Dec 2018 00:00:00 -0000

ros-kinetic-swri-nodelet (2.7.1-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 14 Dec 2018 00:00:00 -0000

ros-kinetic-swri-nodelet (2.7.0-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 04 Dec 2018 00:00:00 -0000

ros-kinetic-swri-nodelet (2.6.0-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Sat, 03 Nov 2018 00:00:00 -0000

ros-kinetic-swri-nodelet (2.5.0-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 12 Oct 2018 00:00:00 -0000

ros-kinetic-swri-nodelet (2.4.0-1xenial) xenial; urgency=high

  * Update package maintainers (#520 <https://github.com/swri-robotics/marti_common/issues/520>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 09 Oct 2018 00:00:00 -0000

ros-kinetic-swri-nodelet (2.3.0-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 25 May 2018 00:00:00 -0000

ros-kinetic-swri-nodelet (2.2.1-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 11 May 2018 00:00:00 -0000

ros-kinetic-swri-nodelet (2.2.0-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Mon, 12 Feb 2018 00:00:00 -0000

ros-kinetic-swri-nodelet (2.1.0-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 26 Jan 2018 00:00:00 -0000

ros-kinetic-swri-nodelet (2.0.0-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Mon, 18 Dec 2017 00:00:00 -0000

ros-kinetic-swri-nodelet (1.2.0-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 13 Oct 2017 00:00:00 -0000

ros-kinetic-swri-nodelet (1.1.0-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Thu, 31 Aug 2017 00:00:00 -0000

ros-kinetic-swri-nodelet (1.0.0-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Wed, 02 Aug 2017 00:00:00 -0000

ros-kinetic-swri-nodelet (0.3.0-1xenial) xenial; urgency=high

  * Merge together the indigo, jade, and kinetic branches (#443 <https://github.com/pjreed/marti_common/issues/443>)
  * Contributors: P. J. Reed

 -- Elliot Johnson <elliot.johnson@swri.org>  Tue, 20 Jun 2017 00:00:00 -0000

ros-kinetic-swri-nodelet (0.2.4-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Tue, 11 Apr 2017 00:00:00 -0000

ros-kinetic-swri-nodelet (0.2.3-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 09 Dec 2016 00:00:00 -0000

ros-kinetic-swri-nodelet (0.2.2-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Wed, 07 Dec 2016 00:00:00 -0000

ros-kinetic-swri-nodelet (0.2.1-1xenial) xenial; urgency=high

  * Add C++ and CMake macros for wrapper nodes
    Defines a C++ macro to replace the normal nodelet export wrapper that
    also creates a factory function returning a pointer to that nodelet.
    Defines a CMake macro
    swri_nodelet_add_node(NODELET_NODENAME NODELET_NAMESPACE NODELET_CLASS)
    that automatically generates the c++ code for a node wrapper with node
    name NODELET_NODENAME that wraps the nodelet and makes a CMake target
    to build the node.
  * Add tests for swri_nodelet with manager and standalone
  * Contributors: Ed Venator


