=== debian/control ===
Source: ros-kinetic-swri-nodelet
Section: misc
Priority: optional
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-kinetic-catkin, ros-kinetic-nodelet, ros-kinetic-rosbash, ros-kinetic-roscpp, ros-kinetic-rostest, ros-kinetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-swri-nodelet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-kinetic-nodelet, ros-kinetic-rosbash, ros-kinetic-roscpp, ros-kinetic-std-msgs
Description: This package provides a simple script to write simple launch files that can easily switch between running nodelets together or as standalone nodes.
